#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === HardwareInformation
#
# This class will show some information about the local computer system,
# e. g. hardware information, via colours.
# =========================================================================== #
# require 'hardware_information'
# =========================================================================== #
require 'hardware_information/version/version.rb'
require 'hardware_information/class/colours.rb'
require 'hardware_information/class/constants.rb'
require 'hardware_information/class/initialize.rb'
require 'hardware_information/class/make_line.rb'
require 'hardware_information/class/menu.rb'
require 'hardware_information/class/misc.rb'
require 'hardware_information/class/obtain.rb'
require 'hardware_information/class/reset.rb'
require 'hardware_information/class/run.rb'

class HardwareInformation # === HardwareInformation

end

if __FILE__ == $PROGRAM_NAME
  _ = HardwareInformation.new(false)
  # _.disable_colours
  _.run
  _.report_result
end # hardi